# Graphic3d_NameOfTexture2D.hxx File Reference

`#include <Standard_PrimitiveTypes.hxx>`

## Enumerations

enum

Graphic3d_NameOfTexture2D {
Graphic3d_NOT_2D_MATRA, Graphic3d_NOT_2D_ALIENSKIN, Graphic3d_NOT_2D_BLUE_ROCK, Graphic3d_NOT_2D_BLUEWHITE_PAPER,
Graphic3d_NOT_2D_BRUSHED, Graphic3d_NOT_2D_BUBBLES, Graphic3d_NOT_2D_BUMP, Graphic3d_NOT_2D_CAST,
Graphic3d_NOT_2D_CHIPBD, Graphic3d_NOT_2D_CLOUDS, Graphic3d_NOT_2D_FLESH, Graphic3d_NOT_2D_FLOOR,
Graphic3d_NOT_2D_GALVNISD, Graphic3d_NOT_2D_GRASS, Graphic3d_NOT_2D_ALUMINUM, Graphic3d_NOT_2D_ROCK,
Graphic3d_NOT_2D_KNURL, Graphic3d_NOT_2D_MAPLE, Graphic3d_NOT_2D_MARBLE, Graphic3d_NOT_2D_MOTTLED,
Graphic3d_NOT_2D_RAIN, Graphic3d_NOT_2D_UNKNOWN
}

| Types of standard textures. . More...

## Enumeration Type Documentation

enum Graphic3d_NameOfTexture2D

Enumeration values:

  Graphic3d_NOT_2D_MATRA |
  Graphic3d_NOT_2D_ALIENSKIN |
  Graphic3d_NOT_2D_BLUE_ROCK |
  Graphic3d_NOT_2D_BLUEWHITE_PAPER |
  Graphic3d_NOT_2D_BRUSHED |
  Graphic3d_NOT_2D_BUBBLES |
  Graphic3d_NOT_2D_BUMP |
  Graphic3d_NOT_2D_CAST |
  Graphic3d_NOT_2D_CHIPBD |
  Graphic3d_NOT_2D_CLOUDS |
  Graphic3d_NOT_2D_FLESH |
  Graphic3d_NOT_2D_FLOOR |
  Graphic3d_NOT_2D_GALVNISD |
  Graphic3d_NOT_2D_GRASS |
  Graphic3d_NOT_2D_ALUMINUM |
  Graphic3d_NOT_2D_ROCK |
  Graphic3d_NOT_2D_KNURL |
  Graphic3d_NOT_2D_MAPLE |
  Graphic3d_NOT_2D_MARBLE |
  Graphic3d_NOT_2D_MOTTLED |
  Graphic3d_NOT_2D_RAIN |
  Graphic3d_NOT_2D_UNKNOWN |